CWStyleManager Class Reference

a structure to store the style list and the lookup zone More...

`#include <CWStyleManager.hxx>`

## Classes

struct | Graphic
| the Graphic structure in a CWStyleManager More...
struct | KSEN
| the KSEN structure a structure related to paragraph and cell style More...
struct | Style
| the structure to store the style in a CWStyleManager More...

## Public Member Functions

| CWStyleManager (CWParser &mainParser)
| constructor More...
| ~CWStyleManager ()
| destructor More...
bool | readStyles (MWAWEntry const &entry)
int | getFontId (int localId) const
| return a mac font id corresponding to a local id More...
bool | get (int styleId, Style &style) const
| return the style corresponding to a styleId More...
bool | get (int ksenId, KSEN &ksen) const
| return the ksen style corresponding to a ksenId More...
bool | get (int graphId, Graphic &graph) const
| return the graphic style corresponding to a graphicId More...

## Protected Member Functions

int | version () const
| return the file version More...
bool | readGenStyle (int id)
| try to read a STYL_ subzone (in v4-6) More...
bool | readStylesDef (int N, int fSz)
| try to read the style definition zone More...
bool | readLookUp (int N, int fSz)
| try to read the lookup zone More...
bool | readCellStyles (int N, int fSz)
bool | readFontNames (int N, int fSz)
| read the font name style zone More...
bool | readGraphStyles (int N, int fSz)
| read a Graphic sequence More...
bool | readKSEN (int N, int fSz)
| read a KSEN sequence More...
bool | readStyleNames (int N, int fSz)
| read a STYL Name sequence More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
CWParser * | m_mainParser
| the main parser More...
shared_ptr < CWStyleManagerInternal::State > | m_state
| the state More...

## Private Member Functions

| CWStyleManager (CWStyleManager const &orig)
CWStyleManager & | operator= (CWStyleManager const &orig)

## Detailed Description

a structure to store the style list and the lookup zone

## Constructor & Destructor Documentation

CWStyleManager::CWStyleManager | ( | CWParser & | mainParser | ) |

constructor

CWStyleManager::~CWStyleManager | ( |  | ) |

destructor

CWStyleManager::CWStyleManager | ( | CWStyleManager const & | orig | ) |

private

## Member Function Documentation

bool CWStyleManager::get | ( | int | styleId,
|  | CWStyleManager::Style & | style
| ) |  | const

return the style corresponding to a styleId

Referenced by CWTableInternal::TableCell::update().

bool CWStyleManager::get | ( | int | ksenId,
|  | CWStyleManager::KSEN & | ksen
| ) |  | const

return the ksen style corresponding to a ksenId

bool CWStyleManager::get | ( | int | graphId,
|  | CWStyleManager::Graphic & | graph
| ) |  | const

return the graphic style corresponding to a graphicId

int CWStyleManager::getFontId | ( | int | localId | ) | const

return a mac font id corresponding to a local id

CWStyleManager& CWStyleManager::operator= | ( | CWStyleManager const & | orig | ) |

private

bool CWStyleManager::readCellStyles | ( | int | N,
|  | int | fSz
| ) |  |

protected

Referenced by readGenStyle().

bool CWStyleManager::readFontNames | ( | int | N,
|  | int | fSz
| ) |  |

protected

read the font name style zone

Referenced by readGenStyle().

bool CWStyleManager::readGenStyle | ( | int | id | ) |

protected

try to read a STYL_ subzone (in v4-6)

Referenced by readStyles().

bool CWStyleManager::readGraphStyles | ( | int | N,
|  | int | fSz
| ) |  |

protected

read a Graphic sequence

Referenced by readGenStyle().

bool CWStyleManager::readKSEN | ( | int | N,
|  | int | fSz
| ) |  |

protected

read a KSEN sequence

Referenced by readGenStyle().

bool CWStyleManager::readLookUp | ( | int | N,
|  | int | fSz
| ) |  |

protected

try to read the lookup zone

Referenced by readGenStyle().

bool CWStyleManager::readStyleNames | ( | int | N,
|  | int | fSz
| ) |  |

protected

read a STYL Name sequence

Referenced by readGenStyle().

bool CWStyleManager::readStyles | ( | MWAWEntry const & | entry | ) |

bool CWStyleManager::readStylesDef | ( | int | N,
|  | int | fSz
| ) |  |

protected

try to read the style definition zone

Referenced by readGenStyle().

int CWStyleManager::version | ( |  | ) | const

protected

return the file version

Referenced by get(), readGraphStyles(), and readStyles().

## Member Data Documentation

CWParser* CWStyleManager::m_mainParser

protected

the main parser

Referenced by readGenStyle(), and readGraphStyles().

MWAWParserStatePtr CWStyleManager::m_parserState

protected

the parser state

Referenced by readCellStyles(), readFontNames(), readGenStyle(), readGraphStyles(), readKSEN(), readLookUp(), readStyleNames(), readStyles(), readStylesDef(), and version().

shared_ptr<CWStyleManagerInternal::State> CWStyleManager::m_state

protected

the state

Referenced by CWStyleManager(), get(), getFontId(), readFontNames(), readGraphStyles(), readKSEN(), readLookUp(), readStylesDef(), and version().

The documentation for this class was generated from the following files:

- CWStyleManager.hxx
- CWStyleManager.cxx